Months (SLF4J 1.7.25 Test API)
Date: 2017-03-16

org.slf4j.cal10n_dummy

## Enum Months

- java.lang.Object
- - java.lang.Enum<Months>
  - - org.slf4j.cal10n_dummy.Months

- All Implemented Interfaces:
    Serializable, Comparable<Months>

      public enum Months
      extends Enum<Months>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `APR`
    `FEB`
    `JAN`
    `JUN`
    `MAR`
    `MAY`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Months` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Months[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### JAN

          public static final Months JAN

    - #### FEB

          public static final Months FEB

    - #### MAR

          public static final Months MAR

    - #### APR

          public static final Months APR

    - #### MAY

          public static final Months MAY

    - #### JUN

          public static final Months JUN

  - ### Method Detail

    - #### values

          public static Months[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Months c : Months.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Months valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2005–2017 QOS.ch. All rights reserved.